<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: ChSchuetz
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."fussball_manager/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."fussball_manager/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."fussball_manager/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."fussball_manager/locale/German.php";
}

// Infusion general information
$inf_title = $locale['man100'];
$inf_description = $locale['man101'];
$inf_version = "1.1.0 (v7)";
$inf_developer = "ChSchuetz";
$inf_email = "chris@chschuetz.de";
$inf_weburl = "http://www.chschuetz.de";
$inf_folder = "fussball_manager"; 

$inf_adminpanel[1] = array(
	"title" => $locale['man102'],
	"image" => "image.gif",
	"panel" => "fussball_manager_admin.php",
	"rights" => "FM"
);

$inf_sitelink[1] = array(
	"title" => $locale['man102'],
	"url" => "fussball_manager.php",
	"visibility" => "101"
);


$inf_newtable[1] = DB_man_communities." (
  com_id smallint(5) NOT NULL auto_increment,
  com_name varchar(35) NOT NULL default '',
  com_prv smallint(1) NOT NULL default '0',
  com_pw varchar(255) NOT NULL default '',
  PRIMARY KEY  (com_id)
);";


$inf_newtable[2] = DB_man_config." (
  min_players int(2) NOT NULL default '0',
  max_players int(2) NOT NULL default '0',
  show_offers int(1) NOT NULL default '0',
  allow_debts int(1) NOT NULL default '0',
  val_players int(9) NOT NULL default '0',
  money_per_point int(9) NOT NULL default '0',
  missed_pos int(2) NOT NULL default '0',
  `date` int(10) NOT NULL default '0',
  transfer_date int(10) NOT NULL default '0',
  note_1 int(2) NOT NULL default '0',
  note_15 int(2) NOT NULL default '0',
  note_2 int(2) NOT NULL default '0',
  note_25 int(2) NOT NULL default '0',
  note_3 int(2) NOT NULL default '0',
  note_35 int(2) NOT NULL default '0',
  note_4 int(2) NOT NULL default '0',
  note_45 int(2) NOT NULL default '0',
  note_5 int(2) NOT NULL default '0',
  note_55 int(2) NOT NULL default '0',
  note_6 int(2) NOT NULL default '0',
  yellow2 int(2) NOT NULL default '0',
  red int(2) NOT NULL default '0',
  goal int(2) NOT NULL default '0',
  pen int(2) NOT NULL default '0',
  pl2trans int(2) NOT NULL default '0',
  sndpn smallint(1) NOT NULL default '0'
);";

$inf_newtable[3] = DB_man_env." (
  env_id smallint(5) NOT NULL auto_increment,
  envcat_id smallint(5) NOT NULL default '0',
  env_name varchar(50) NOT NULL default '',
  env_descr text NOT NULL,
  env_image varchar(20) NOT NULL default '',
  env_price int(12) NOT NULL default '0',
  env_points int(5) NOT NULL default '0',
  env_cost int(9) NOT NULL default '0',
  env_bmoney int(12) NOT NULL default '0',
  env_bpoints int(5) NOT NULL default '0',
  PRIMARY KEY  (env_id)
);";


$inf_newtable[4] = DB_man_envcat." (
  envcat_id smallint(5) NOT NULL auto_increment,
  envcat_name varchar(50) NOT NULL default '',
  PRIMARY KEY  (envcat_id)
)
;";

$inf_newtable[5] = DB_man_news." (
  news_id smallint(5) NOT NULL auto_increment,
  com smallint(5) NOT NULL default '0',
  news_title varchar(200) NOT NULL default '',
  news_text text NOT NULL,
  news_datestamp int(10) default NULL,
  PRIMARY KEY  (news_id)
)
;";

$inf_newtable[6] = DB_man_offers." (
  offer_id smallint(5) NOT NULL auto_increment,
  com smallint(5) NOT NULL default '0',
  pl_id smallint(5) NOT NULL default '0',
  user_id smallint(5) NOT NULL default '0',
  offer float NOT NULL default '0',
  PRIMARY KEY  (offer_id)
)
;";

$inf_newtable[7] = DB_man_players." (
  pl_id smallint(5) NOT NULL auto_increment,
  pl_name varchar(25) NOT NULL default '',
  pl_team smallint(5) NOT NULL default '0',
  pl_value double NOT NULL default '0',
  pl_pos varchar(15) NOT NULL default '',
  pl_points int(5) NOT NULL default '0',
  pl_pic varchar(30) NOT NULL default '',
  pl_matches int(4) NOT NULL default '0',
  pl_dnote float NOT NULL default '0',
  pl_goals int(4) NOT NULL default '0',
  pl_cyr int(4) NOT NULL default '0',
  pl_cr int(4) NOT NULL default '0',
  PRIMARY KEY  (pl_id)
)
;";


$inf_newtable[8] = DB_man_plcom." (
  pl_id smallint(5) NOT NULL default '0',
  pl_owner smallint(5) NOT NULL default '0',
  com smallint(5) NOT NULL default '0',
  pl_isset int(1) NOT NULL default '0',
  pl_listed int(1) NOT NULL default '0'
)
;";


$inf_newtable[9] = DB_man_plhist." (
  pl_id smallint(5) NOT NULL default '0',
  pl_pkt int(3) NOT NULL default '0',
  date int(10) NOT NULL default '0'
);";



$inf_newtable[10] = DB_man_plscore." (
  pl_id smallint(5) NOT NULL default '0',
  pl_note float NOT NULL default '0',
  pl_goals int(2) NOT NULL default '0',
  pl_pen int(2) NOT NULL default '0',
  pl_2y int(1) NOT NULL default '0',
  pl_r int(1) NOT NULL default '0',
  PRIMARY KEY  (pl_id)
)
;";


$inf_newtable[11] = DB_man_sponsors." (
  sp_id smallint(5) NOT NULL auto_increment,
  sp_name varchar(25) NOT NULL default '',
  sp_banner varchar(25) NOT NULL default '',
  sp_descr varchar(255) NOT NULL default '',
  sp_min_value int(12) NOT NULL default '0',
  sp_min_points int(4) NOT NULL default '0',
  sp_bmoney int(9) NOT NULL default '0',
  sp_website varchar(50) NOT NULL default '',
  PRIMARY KEY  (sp_id)
);";


$inf_newtable[12] = DB_man_teams." (
  team_id smallint(5) NOT NULL auto_increment,
  team_name varchar(30) NOT NULL default '',
  team_short char(3) NOT NULL default '',
  team_logo varchar(30) NOT NULL default '',
  team_website varchar(50) NOT NULL default '',
  team_act smallint(1) NOT NULL default '1',
  PRIMARY KEY  (team_id)
)
;";

$inf_newtable[13] = DB_man_transfers." (
  trans_id smallint(5) NOT NULL auto_increment,
  com smallint(5) NOT NULL default '0',
  pl_id smallint(5) NOT NULL default '0',
  trans_from smallint(5) NOT NULL default '0',
  trans_to smallint(5) NOT NULL default '0',
  trans_val int(12) NOT NULL default '0',
  trans_date char(10) NOT NULL default '',
  PRIMARY KEY  (trans_id)
)
;";

$inf_newtable[14] = DB_man_userenv." (
  user_id smallint(5) NOT NULL default '0',
  envcat_id smallint(5) NOT NULL default '0',
  env_id smallint(5) NOT NULL default '0'
)
;";

$inf_newtable[15] = DB_man_users." (
  user_id smallint(5) NOT NULL default '0',
  user_teamname varchar(25) NOT NULL default '',
  user_value float NOT NULL default '0',
  user_points int(9) NOT NULL default '0',
  user_com smallint(5) NOT NULL default '0',
  user_sponsor smallint(5) NOT NULL default '0',
  user_icon varchar(30) NOT NULL default '',
  user_trophy smallint(3) NOT NULL default '0',
  user_status smallint(1) NOT NULL default '0',
  PRIMARY KEY  (user_id)
)
;";

$inf_newtable[16] = DB_man_trophy." (
  trophy_id smallint(5) NOT NULL auto_increment,
  trophy_name varchar(50) NOT NULL default '',
  trophy_image varchar(20) NOT NULL default '',
  PRIMARY KEY  (trophy_id)
)
;";

$inf_newtable[17] = DB_man_userhist." (
  user_id smallint(5) NOT NULL default '0',
  user_points int(5) NOT NULL default '0',
  date varchar(10) NOT NULL default '0'
)
;";


$inf_insertdbrow[1] = DB_man_config." VALUES (11, 20, 1, 1, 50000, 35000, 5, 1163975400, 1163890624, 12, 10, 8, 6, 4, 2, 0, 2, 4, 6, 8, 3, 6, 5, 3, 10, 0)";

$inf_insertdbrow[2] = DB_man_env." VALUES 
(1, 1, 'Stadion (klein)', 'Ein kleines Stadion kostet pro Spieltag 25.000 EUR und bringt Dir pro Spieltag 100.000 EUR ein.', 'stadionkleinee3.jpg', 2500000, 100, 25000, 100000, 0),
(2, 1, 'Stadion (mittel)', 'Ein mittleres Stadion kostet pro Spieltag 50.000 EUR und bringt Dir pro Spieltag 200.000 EUR ein.', 'stadionmittelzt6.jpg', 8000000, 200, 50000, 200000, 0),
(3, 1, 'Stadion (Gro)', 'Ein groes Stadion kostet pro Spieltag 100.000 EUR und bringt Dir pro Spieltag 300.000 EUR ein.', 'stadiongrossci9.jpg', 15000000, 300, 100000, 300000, 0),
(5, 2, 'Normales Trainingscenter', 'Trainingscenter klein,\r\nbringt 1 Punkt pro Spieltag, kostet pro Spieltag 75.000 EUR.', 'noimage.gif', 2500000, 100, 75000, 0, 1),
(6, 2, 'Luxus Trainingscentrum', 'Das Luxus teil bringt Dir pro Spieltag 2 Punkte auf Dein Konto und kostet 150.000 EUR pro Spieltag.', 'noimage.gif', 10000000, 200, 150000, 0, 2),
(7, 4, 'kleiner Fanladen', 'Bringt 10.000 EUR pro Spieltag und kostet pro Spieltag 2.500 EUR.', 'noimage.gif', 50000, 50, 2500, 10000, 0),
(8, 4, 'mittlerer Fanladen', 'Bringt 20.000 EUR pro Spieltag und kostet pro Spieltag 5.000 EUR.', 'noimage.gif', 150000, 100, 5000, 20000, 0),
(9, 4, 'groer Fanladen', 'Bringt 40.000 pro Spieltag und kostet pro Spieltag 20.000 EUR.', 'noimage.gif', 300000, 150, 20000, 40000, 0),
(10, 5, 'Bierstand klein', 'Bringt 5.000 EUR pro Spieltag und kostet pro Spieltag 1.500 EUR.', 'bierstand_klein.jpg', 10000, 0, 1500, 5000, 0),
(11, 5, 'Bierstand mittel', 'Bringt 7.500 EUR pro Spieltag und kostet pro Spieltag 2.500 EUR.', 'bierstand_mittel.jpg', 20000, 20, 2500, 7500, 0),
(12, 5, 'Bierstand gro', 'Bringt 10.000 EUR pro Spieltag und kostet pro Spieltag 3.500 EUR.', 'bierstand_gross.jpg', 50000, 50, 3500, 10000, 0),
(13, 6, 'Kartencenter', 'Durch das Kartencenter nimmst Du pro Spieltag\r\n50.000 EUR ein. Es kostet Dich pro Spieltag 10.000 EUR.', 'kartencenter.jpg', 500000, 150, 10000, 50000, 0),
(14, 3, 'Christoph Daum', 'Christoph Daum ist ein Spitzentrainer.\r\nEr bringt Dir pro Spieltag zwei zustzliche Punkte ein.\r\nKostet allerdings 75.000 EUR pro Spieltag.', 'daum.jpg', 100000, 200, 75000, 0, 2),
(15, 3, 'Ottmar Hitzfeld', 'Der bertrainer from Hell.\r\nBringt 4 zustzliche Punkte pro Spieltag, will dafr aber all euer Geld.\r\nKostet 125.000 EUR pro Spieltag.\r\n', 'hitzfeld.jpg', 250000, 500, 125000, 0, 4)
;";

$inf_insertdbrow[3] = DB_man_envcat." VALUES 
(1, 'Stadien'),
(2, 'Trainingscenter'),
(3, 'Trainer'),
(4, 'Fanshops'),
(5, 'Speis & Trank'),
(6, 'Kartencenter')
;";


$inf_insertdbrow[4] = DB_man_sponsors." VALUES 
(1, 'Sunday-Musik', 'sunday.gif', 'Bringt 100.000 EUR ein,<br> wenn Du am Spieltag<br>\r\nmindestens 30 Punkte holst.<br>\r\nVorraussetzung ist ein Mannschaftswert von\r\n<u>30 Mio.</u>', 30000000, 30, 100000, 'http://www.sunday-musik.de'),
(2, 'PHP-Fusion.de', 'php-fusion.gif', 'Deutsche Support Seite', 20000000, 20, 75000, 'http://www.php-fusion.de'),
(3, 'Fehrs.net', 'fehrs.gif', 'Der Weg zu Fehrsi immer lohnt,<br>\r\nauch wenn man etwas weiter wohnt.', 12500000, 15, 50000, 'http://www.fehrs.net'),
(4, 'www.tus-boys.de', 'tusbanner_gr.jpg', 'Das ist die Seite des TuS Koblenz Fanclubs TuS-Boys since 04.<br>\r\nNews, Bilder, Diskussionen, Comunity usw. rund um die TuS Koblenz', 15000000, 17, 65000, 'http://www.tus-boys.de'),
(5, 'Denis G.', 'decege.gif', 'Ein hamburger Jung, wie er im Buche steht.', 22500000, 22, 80000, 'http://www.decege.de'),
(6, 'Jay Production', 'jay_production.jpg', 'Bei Jay Production handelt es sich um ein <br>\r\nHip-Hop Label. Remixe stellt Jay himself euch dort<br>\r\nzur Verfgung.', 18000000, 18, 70000, 'http://www.jaymaster.de.ms'),
(7, 'MyHP-Service', 'MYHP-Service.jpg', 'Hier richtet man euch kostenlos eure eigene <br> Homepage ein. Keine einfache so wie man sie bei Oyla, ... kennt.<br> NEIN, eine richtige selbstndige Homepage.', 19500000, 19, 85000, 'http://www.myhp-service.de.vu/')
;";
   

$inf_droptable[1] = DB_man_communities;
$inf_droptable[2] = DB_man_config;
$inf_droptable[3] = DB_man_env;
$inf_droptable[4] = DB_man_envcat;
$inf_droptable[5] = DB_man_news;
$inf_droptable[6] = DB_man_offers;
$inf_droptable[7] = DB_man_players;
$inf_droptable[8] = DB_man_plcom;
$inf_droptable[9] = DB_man_plhist;
$inf_droptable[10] = DB_man_plscore;
$inf_droptable[11] = DB_man_sponsors;
$inf_droptable[12] = DB_man_teams;
$inf_droptable[13] = DB_man_transfers;
$inf_droptable[14] = DB_man_userenv;
$inf_droptable[15] = DB_man_users;
$inf_droptable[16] = DB_man_trophy;
$inf_droptable[17] = DB_man_userhist;
?>